%bcond_without	bootstrap

%bcond_with	tests

%define pypi_name wheel

%global python_wheelname %{pypi_name}-%{version}-py2.py3-none-any.whl
%global python_wheeldir %{_datadir}/python-wheels

Name:           python-%{pypi_name}
Version:        0.37.1
Release:        %mkrel 1
Summary:        A built-package format for Python
Group:          Development/Python
License:        MIT
URL:            https://pypi.org/project/wheel
Source0:        %{pypi_name}-%{version}.tar.xz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

%if %{without bootstrap}
BuildRequires:	python3-pip
%if %{with tests}
BuildRequires:  python3-pytest
BuildRequires:  python3-jsonschema
BuildRequires:  python3-keyring
BuildRequires:  python3-py
BuildRequires:  python3-pyxdg
%endif
%endif

%description
A built-package format for Python.

A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.

%package -n     python3-%{pypi_name}
Summary:        A built-package format for Python
Group:          Development/Python

%description -n python3-%{pypi_name}
A built-package format for Python.

A wheel is a ZIP-format archive with a specially formatted filename and the
.whl extension. It is designed to contain all the files for a PEP 376
compatible install in a way that is very close to the on-disk format.

%package wheel
Summary:	The Python wheel module packaged as a wheel
Group:		Development/Python

%description wheel
A Python wheel of wheel to use with virtualenv.

%prep
%setup -q -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

ln -s %{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-%{python3_pkgversion}
ln -s %{pypi_name} %{buildroot}%{_bindir}/%{pypi_name}-%{python3_version}

%if %{without bootstrap}
# We can only use bdist_wheel when wheel is installed, hence we don't build the wheel in %%build
export PYTHONPATH=%{buildroot}%{python3_sitelib}
%py3_build_wheel
mkdir -p %{buildroot}%{python_wheeldir}
install -p dist/%{python_wheelname} -t %{buildroot}%{python_wheeldir}
%endif

%if %{without bootstrap}
%if %{with tests}
%check
rm -rf setup.cfg
PYTHONPATH=%{buildroot}%{python3_sitelib} py.test-%{python3_version} -vv --ignore build
%endif
%endif

%files -n python3-%{pypi_name}
%doc LICENSE.txt
%doc README.rst
%{_bindir}/%{pypi_name}
%{_bindir}/%{pypi_name}-%{python3_pkgversion}
%{_bindir}/%{pypi_name}-%{python3_version}
%{python3_sitelib}/%{pypi_name}*

%if %{without bootstrap}
%files wheel
%doc LICENSE.txt
# we own the dir for simplicity
%dir %{python_wheeldir}/
%{python_wheeldir}/%{python_wheelname}
%endif


%changelog
* Sun Feb 13 2022 TerryN <terryn94 at gmail.com>  0.37.1-1pclos2022
- update and rebuild for python 3.10

* Fri Jan 31 2020 tex - 0.33.6-1pclos2020
- update
